=== debian/changelog ===
bombadillo (2.3.3-3ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:01:39 +0000

bombadillo (2.3.3-3build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:47:33 -0600

bombadillo (2.3.3-3) unstable; urgency=medium

  *  Team upload.
  *  Replace default home with a local page instead of a remote one.
     (Closes: #987628)

 -- Taowa <taowa@debian.org>  Mon, 26 Apr 2021 14:00:00 -0400

bombadillo (2.3.3-2) unstable; urgency=medium

  * Team Upload.
  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 Apr 2021 15:47:57 +0530

bombadillo (2.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #984855)

 -- Micheal Waltz <ecliptik@gmail.com>  Sat, 27 Mar 2021 17:56:51 +0000
