## bombadillo 2.4.0

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 .PHONY: install-man
 install-man: bombadillo.1
-	gzip -k ./bombadillo.1
+	gzip -c ./bombadillo.1 > ./bombadillo.1.gz
 	install -d ${DESTDIR}${MAN1DIR}
 	install -m 0644 ./bombadillo.1.gz ${DESTDIR}${MAN1DIR}
