=== debian/changelog ===
bombadillo (2.4.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.4.0
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Fix version (2.4.0 instead of 2.3.3)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Feb 2023 16:22:57 +0530

bombadillo (2.3.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 02:32:54 +0000
