=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: bombadillo
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Micheal Waltz <ecliptik@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://bombadillo.colorfield.space
 Vcs-Browser: https://salsa.debian.org/go-team/packages/bombadillo
 Vcs-Git: https://salsa.debian.org/go-team/packages/bombadillo.git
