=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://tildegit.org/sloum/bombadillo/releases/ .*/v?(\d\S+)\.tar\.gz
